package com.yuchen.saas.manage.user.api.feign;

import com.yuchen.saas.manage.user.api.entity.SaasUser;
import com.yuchen.saas.manage.user.api.vo.ChangePhoneVo;
import com.yuchen.saas.manage.user.api.vo.CountCompanyUserVo;
import com.yuchen.saas.manage.user.api.vo.sasscompany.CompanySettleParksVo;
import com.yuchen.saas.manage.user.api.vo.sasscompany.SaasCompanyAddUserVo;
import com.yuchen.saas.manage.user.api.vo.sassuser.*;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.ArrayList;
import java.util.List;


@Component
public class SaasUserClientFallback implements ISaasUserClient {

    @Override
    public R saveSaasUser(SaasUserSaveVo saveVo) {
        return R.fail("请求失败");
    }

    @Override
    public R getSmsCode(String phone) {
        return R.fail("请求失败");
    }

    @Override
    public R pageUser(Integer current,Integer size) {
        return R.fail("请求失败");
    }

    @Override
    public R saasUserLoginByWechatAuth(SaasUserLoginByWechatAuthVo registerVo) {
        return R.fail("请求失败");
    }

    @Override
    public R saasUserLoginBySms(SaasUserLoginBySmsVo registerVo) {
        return R.fail("请求失败");
    }

    @Override
    public GetUserCertificationVo getUserCertificationByPhone(String phone) {
         return null;
    }

    @Override
    public GetUserCertificationVo getUserCertificationByUserId(Long userId) {
         return null;
    }

    @Override
    public R sassUserCertification(SaasUserCertificationVo certificationVo) {
        return R.fail("请求失败");
    }

    @Override
    public R sassUserCompanyByUser(SaasUserCompanyVo companyVo) {
        return R.fail("请求失败");
    }

    @Override
    public R saasCompanyAddUser(SaasCompanyAddUserVo companyVo) {
        return R.fail("请求失败");
    }

    @Override
    public R userCompanyAudit(Long companyId, Long userId, Integer status, String reason) {
        return R.fail("请求失败");
    }

    @Override
    public R enableUser(Long userId) {
        return R.fail("请求失败");
    }

    @Override
    public R disableUser(Long userId) {
        return R.fail("请求失败");
    }

    @Override
    public R deleteUser(Long userId) {
        return R.fail("请求失败");
    }

    @Override
    public R showParkingBill(Long saasUserId, Integer show) {
        return R.fail("请求失败");
    }

    @Override
    public SaasUser getUserByOpenId(String openId) {
        return null;
    }

    @Override
    public R changePhone(ChangePhoneVo changePhoneVo) {
        return R.fail("请求失败");
    }

    @Override
    public R countByParkCompany(CountCompanyUserVo userVo) {
        return R.fail("请求失败");
    }

}
